<?php

echo"<h1>Nowości</h1>";

mysql_connect($dbconfig['address'], $dbconfig['user'], $dbconfig['password']);
mysql_select_db($dbconfig['db']);
$query = "SELECT * FROM `teatr_news` WHERE newsID <= 10 ORDER BY `newsID` DESC";
$result = mysql_query("$query");

if (mysql_num_rows($result) == '0') {
	echo "<p>Nie znaleziono żadnych nowości!</p>";
}

else {
		while ($news = mysql_fetch_assoc($result))
    {
		$content = stripslashes($news[content]);
		echo "<div class=\"newsBody\">";
		echo "<h2>$news[date] | $news[title]</h2>";
		echo "$content";
		$id = $news[author];
		$url = "http://www.sarmacja.org/integracja/xml/mieszkancy.php?kryt=id&wart=".$id."&pola=imie,tytul,nazwisko,herb";
		$xml = simplexml_load_file($url);
		$data = $xml->m;
		$author = $data['imie']." ".$data['tytul']." ".$data['nazwisko']." h. ".$data['herb'];
		echo "<p><small>Dodał: <a href=\"http://www.sarmacja.org/strona,mieszkaniec,$id\">$author</a></small></p>";
		echo "</div>";
    }
}

?>